#ifndef __mgagrab_H
#define __mgagrab_H

#define _VINWID   720
#define _VINHGT   _VINHGT_PAL
#define _VINHGT_NTSC   240
#define _VINHGT_PAL    294

			/* width * maxheight(pal,ntsc) * byte/pix */
#define	_VIN_WINDOW	(720 * (626/2) * 2)	
#define	_VBI_WINDOW	(720 * 64 * 2)
/* on G200, capture overflows for a
   number of lines when there's no input */
#define	_VIN_WINDOW_G200 (_VIN_WINDOW + (720*64*2))


#define VINCTLx_MASK    0x00000fff

#define	VIN_OFF		0x00
#define	VIN_ON		0x01
#define	VBI_OFF		0x00
#define	VBI_RAW		0x02
#define	VBI_SLICED	0x06

typedef int (*grab_image_func_t)(struct mga_dev_s *mga, struct video_mmap *geometry, u8 *buffer, int size);


void mgagrab_attach(struct mga_dev_s *mga);
void mgagrab_deattach(struct mga_grab_s *video);
void mgagrab_init_videoformat(struct mga_grab_s *video);
void mgagrab_preview_enable(struct mga_grab_s *video, int flag);
void mgagrab_grab_needed(struct mga_grab_s *video, int state);
int  mgagrab_grab_image(struct mga_dev_s *mga, struct video_mmap *geometry, u8 *buffer, int size);
void mgagrab_set_grabsize(struct mga_grab_s *video, int width, int height, int format);
void mgagrab_set_grabsubimage(struct mga_grab_s *video, int x, int y, int w, int h);
void mgagrab_set_ongrab(struct mga_grab_s *video, grab_image_func_t func);
void mgagrab_register_bh(struct mga_grab_s *video, void(*routine)(void*), void* data);
void mgagrab_activate(struct mga_grab_s *video);
void mgagrab_deactivate(struct mga_grab_s *video);
int  mgagrab_get_stamp(struct mga_grab_s *video);

#endif

