#ifndef __RING_H__
#define __RING_H__

#include <linux/skbuff.h>
#include <linux/spinlock.h>

#define POLDHU_RING_SIZE	32

struct poldhu_ring_buffer {
	struct sk_buff *ring[POLDHU_RING_SIZE];
	int tail;
	int head;
	int full;
	spinlock_t lock;
};

extern void poldhu_init_ring(struct poldhu_ring_buffer *ring);
extern int poldhu_add_skb(struct poldhu_ring_buffer * ring, struct sk_buff *skb);
extern struct sk_buff* poldhu_get_skb(struct poldhu_ring_buffer *ring);
extern int poldhu_remove_skb(struct poldhu_ring_buffer *ring);
extern int poldhu_ring_empty(struct poldhu_ring_buffer *ring);

#endif /* __RING_H__ */

